Skip to contentSkip to navigationSkip to topbar

Knowledge API (v2) - Operations endpoints


(information)

Legal information

Enterprise Knowledge, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Enterprise Knowledge is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Overview

overview page anchor

Tag description

Endpoints


Get Operation Status

fetch-operation page anchor

GET/v2/ControlPlane/Operations/{operationId}

Base url: https://knowledge.twilio.com (base url)

Retrieve the status and result of an asynchronous operation.

Request

fetch-operation-request page anchor

Path parameters

fetch-operation-path-parameters page anchor
Property nameTypeRequiredPIIDescription
operationIdstring
required
Not PII

The operation ID returned from a write endpoint.

Max length: 512
200400404429500503

Operation status retrieved successfully.

Schema
Property nameTypeRequiredPIIDescriptionChild properties
operationIdstring

Optional

The unique identifier for this operation.

Max length: 512

statusenum<string>

Optional

The current status of the operation.

Example: COMPLETEDPossible values:
PENDINGRUNNINGCANCELLEDCOMPLETEDFAILED

createdAtstring<date-time>

Optional

When the operation was created.

Example: 2025-11-14T20:29:21Z

statusUrlstring<uri>

Optional

URI to check operation status.


completedAtstring<date-time>

Optional

When the operation completed or failed.


result
oneOf:

Optional

Operation-specific output. Present when status is COMPLETED.


errorobject

Optional


resultUrlstring<uri>

Optional

URL to fetch the resulting resource.

Get Operation StatusLink to code sample: Get Operation Status
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function fetchOperation() {
11
const operation = await client.knowledge.v2.operations("operationId").fetch();
12
13
console.log(operation.operationId);
14
}
15
16
fetchOperation();

Response

Note about this response
1
{
2
"completedAt": "2009-07-06T20:30:00Z",
3
"createdAt": "2009-07-06T20:30:00Z",
4
"error": {
5
"type": "https://www.example.com",
6
"title": "title",
7
"code": 42,
8
"detail": "detail"
9
},
10
"operationId": "operationId",
11
"result": {},
12
"resultUrl": "https://www.example.com",
13
"status": "COMPLETED",
14
"statusUrl": "https://www.example.com"
15
}